public inbox for pve-devel@lists.proxmox.com
 help / color / mirror / Atom feed
From: Fiona Ebner <f.ebner@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [RFC firewall 1/3] d/postinst: handled triggers by reloading service
Date: Wed, 11 Mar 2026 11:54:24 +0100	[thread overview]
Message-ID: <20260311105524.50117-2-f.ebner@proxmox.com> (raw)
In-Reply-To: <20260311105524.50117-1-f.ebner@proxmox.com>

In preparation for commit "d/pve-firewall.triggers: add interest in
PVE perl code updates".

Signed-off-by: Fiona Ebner <f.ebner@proxmox.com>
---
 debian/postinst | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/debian/postinst b/debian/postinst
index 8cdb468..edeed42 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -16,6 +16,10 @@ case "$1" in
 	deb-systemd-invoke $_dh_action pve-firewall.service >/dev/null || true
     ;;
 
+    triggered)
+        deb-systemd-invoke try-reload-or-restart pve-firewall.service >/dev/null || true
+    ;;
+
     abort-upgrade|abort-remove|abort-deconfigure)
     ;;
 
-- 
2.47.3





  reply	other threads:[~2026-03-11 10:56 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-03-11 10:54 [RFC firewall 0/3] add triggers for PVE perl code updates Fiona Ebner
2026-03-11 10:54 ` Fiona Ebner [this message]
2026-03-11 10:54 ` [RFC firewall 2/3] d/pve-firewall.triggers: add interest in " Fiona Ebner
2026-03-11 10:54 ` [RFC firewall 3/3] d/pve-firewall.triggers: drop superfluous pve-api-updates activation Fiona Ebner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260311105524.50117-2-f.ebner@proxmox.com \
    --to=f.ebner@proxmox.com \
    --cc=pve-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal